# opyrability - Process Operability Analysis in Python.

Welcome to opyrability, a Python-based package for performing [Process Operability](https://www.sciencedirect.com/science/article/pii/S1474667017338028) analysis.

opyrability is developed by the Control, Optimization and Design for Energy and Sustainability (CODES) Group at West Virginia University under Dr. [Fernando V. Lima](https://fernandolima.faculty.wvu.edu/)'s supervision.

![](/docs/opyrability_overview.png)

Authors:
[Victor Alves](https://github.com/victoraalves) and [San Dinh](https://github.com/sanqdinh)


## Installation

From conda (recommended):

```console
conda install -c codes-group opyrability
```

This will install opyrability and all requirements/dependencies automatically.

From PyPI:

```console
pip install opyrability
```

Then install [Cyipopt](https://github.com/mechmotum/cyipopt) from **conda** (non-automated dependency on PyPI):

```console
conda install -c conda-forge cyipopt
```


## Documentation and Process Operability Principles

Full documentation and discussion regarding process operability principles are available in [opyrability's online portal.](https://codes-group.github.io/opyrability/)



